#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_content
    main.cpp qt4makeapp.cpp qt4makeapp.h qt4makeapp.png
    qt4makeapp.kdevelop qt4makeapp.pro src.pro application.qrc
    ReadMe filesave.xpm fileopen.xpm filenew.xpm editcopy.xpm
    editpaste.xpm editcut.xpm
)
list( SORT _tarball_content )

tde_create_tarball(
  TARGET qt4makeapp.tar.gz
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/qt4makeapp.tar.gz qt4makeapp.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE qt4makeapp.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)
